> For the complete documentation index, see [llms.txt](https://docs.wisej.com/api/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.wisej.com/api/v3.5/wisej.web/notifications/alertbox/wisej.web.messageboxicon.md).

# MessageBoxIcon

Namespace: **Wisej.Web**

Assembly: **Wisej.Framework** (3.5.0.0)

Specifies the type of icon to display in the [MessageBox](/api/v3.5/wisej.web/notifications/messagebox.md) or [AlertBox](/api/v3.5/wisej.web/notifications/alertbox.md).

{% tabs %}
{% tab title="C#" %}

```csharp
public enum MessageBoxIcon : Enum
```

{% endtab %}

{% tab title="VB.NET" %}

```visual-basic
Public Enum MessageBoxIcon As [Enum]
```

{% endtab %}
{% endtabs %}

## Fields

| Name            | Description                                                                                                                                |
| --------------- | ------------------------------------------------------------------------------------------------------------------------------------------ |
| **Error**       | The message box contains an icon consisting of an X or an exclamation point typically on a red background to symbolize an error condition. |
| **Hand**        | The message box contains an icon consisting of a raised hand.                                                                              |
| **Information** | The message box contains an icon consisting of the letter i in a circle                                                                    |
| **None**        | No icon is shown in the message box.                                                                                                       |
| **Question**    | The message box contains an icon consisting of a question mark in a circle.                                                                |
| **Stop**        | The message box contains an icon consisting of a stop sign.                                                                                |
| **Warning**     | The message box contains an icon consisting of an exclamation point in a triangle to symbolize a warning sign.                             |

## Used By

| Name                                                                                                                                                               | Description                                                                                                                      |
| ------------------------------------------------------------------------------------------------------------------------------------------------------------------ | -------------------------------------------------------------------------------------------------------------------------------- |
| [MessageBox.Show](/api/v3.5/wisej.web/notifications/messagebox.md#show-text-caption-buttons-icon-defaultbutton-modal-allowhtml-keeponscreen-righttoleft-onclose)   | Displays a message box with the specified text, caption, buttons, icon, default button, options, and Help button.                |
| [MessageBox.ShowAsync](/api/v3.5/wisej.web/notifications/messagebox.md#showasync-text-caption-buttons-icon-defaultbutton-modal-allowhtml-keeponscreen-righttoleft) | Asynchronously displays a message box with the specified text, caption, buttons, icon, default button, options, and Help button. |
| [AlertBox.Show](/api/v3.5/wisej.web/notifications/alertbox.md#show-text-icon-showclosebutton-alignment-autoclosedelay-onclose-showprogressbar-allowhtml)           | Displays an alert box with the specified text and icon in the specified position.                                                |
| [Application.Play](/api/v3.5/wisej.web/general/application.md#play-type)                                                                                           | Plays one of the built-in sounds                                                                                                 |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.wisej.com/api/v3.5/wisej.web/notifications/alertbox/wisej.web.messageboxicon.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
